Bug 986724 - [abrt] xulrunner-22.0-4.fc19: pthread_cancel: Process /usr/lib/xulrunner/plugin-container was killed by signal 11 (SIGSEGV)
[abrt] xulrunner-22.0-4.fc19: pthread_cancel: Process /usr/lib/xulrunner/plug...
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: xulrunner (Show other bugs)
19
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
abrt_hash:fedb7f82845140bcafc0e01b48e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-21 19:15 EDT by Doug Huffman
Modified: 2013-07-24 09:40 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 09:40:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (21.67 KB, text/plain)
2013-07-21 19:15 EDT, Doug Huffman
no flags Details
File: cgroup (140 bytes, text/plain)
2013-07-21 19:15 EDT, Doug Huffman
no flags Details
File: core_backtrace (2.22 KB, text/plain)
2013-07-21 19:15 EDT, Doug Huffman
no flags Details
File: dso_list (8.76 KB, text/plain)
2013-07-21 19:15 EDT, Doug Huffman
no flags Details
File: environ (2.31 KB, text/plain)
2013-07-21 19:15 EDT, Doug Huffman
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-21 19:15 EDT, Doug Huffman
no flags Details
File: maps (25.08 KB, text/plain)
2013-07-21 19:15 EDT, Doug Huffman
no flags Details
File: open_fds (702 bytes, text/plain)
2013-07-21 19:15 EDT, Doug Huffman
no flags Details
File: proc_pid_status (799 bytes, text/plain)
2013-07-21 19:15 EDT, Doug Huffman
no flags Details
File: var_log_messages (2.13 KB, text/plain)
2013-07-21 19:15 EDT, Doug Huffman
no flags Details

  None (edit)
Description Doug Huffman 2013-07-21 19:15:06 EDT
Version-Release number of selected component:
xulrunner-22.0-4.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        /usr/lib/firefox/xulrunner/plugin-container /usr/lib/IcedTeaPlugin.so -greomni /usr/lib/firefox/xulrunner/omni.ja -appomni /usr/lib/firefox/browser/omni.ja -appdir /usr/lib/firefox/browser 3503 true plugin
crash_function: pthread_cancel
executable:     /usr/lib/xulrunner/plugin-container
kernel:         3.9.9-302.fc19.i686.PAE
runlevel:       N 5
uid:            1000
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 pthread_cancel at pthread_cancel.c:34
 #1 NP_Shutdown at /usr/src/debug/icedtea-web-1.4/plugin/icedteanp/IcedTeaNPPlugin.cc:2112
 #2 mozilla::plugins::PluginModuleChild::AnswerNP_Shutdown at /usr/src/debug/xulrunner-22.0/mozilla-release/dom/plugins/ipc/PluginModuleChild.cpp:593
 #3 mozilla::plugins::PPluginModuleChild::OnCallReceived at /usr/src/debug/xulrunner-22.0/mozilla-release/objdir/ipc/ipdl/PPluginModuleChild.cpp:1179
 #4 mozilla::ipc::RPCChannel::DispatchIncall at /usr/src/debug/xulrunner-22.0/mozilla-release/ipc/glue/RPCChannel.cpp:486
 #5 mozilla::ipc::RPCChannel::Incall at /usr/src/debug/xulrunner-22.0/mozilla-release/ipc/glue/RPCChannel.cpp:472
 #6 mozilla::ipc::RPCChannel::OnMaybeDequeueOne at /usr/src/debug/xulrunner-22.0/mozilla-release/ipc/glue/RPCChannel.cpp:398
 #7 DispatchToMethod<mozilla::ipc::RPCChannel, bool (mozilla::ipc::RPCChannel::*)()> at /usr/src/debug/xulrunner-22.0/mozilla-release/ipc/chromium/src/base/tuple.h:383
 #8 RunnableMethod<mozilla::ipc::RPCChannel, bool (mozilla::ipc::RPCChannel::*)(), Tuple0>::Run at /usr/src/debug/xulrunner-22.0/mozilla-release/ipc/chromium/src/base/task.h:307
 #9 Run at ../../dist/include/mozilla/ipc/RPCChannel.h:425

Potential duplicate: bug 973921
Comment 1 Doug Huffman 2013-07-21 19:15:11 EDT
Created attachment 776583 [details]
File: backtrace
Comment 2 Doug Huffman 2013-07-21 19:15:15 EDT
Created attachment 776584 [details]
File: cgroup
Comment 3 Doug Huffman 2013-07-21 19:15:19 EDT
Created attachment 776585 [details]
File: core_backtrace
Comment 4 Doug Huffman 2013-07-21 19:15:22 EDT
Created attachment 776586 [details]
File: dso_list
Comment 5 Doug Huffman 2013-07-21 19:15:26 EDT
Created attachment 776587 [details]
File: environ
Comment 6 Doug Huffman 2013-07-21 19:15:30 EDT
Created attachment 776588 [details]
File: limits
Comment 7 Doug Huffman 2013-07-21 19:15:34 EDT
Created attachment 776589 [details]
File: maps
Comment 8 Doug Huffman 2013-07-21 19:15:38 EDT
Created attachment 776590 [details]
File: open_fds
Comment 9 Doug Huffman 2013-07-21 19:15:42 EDT
Created attachment 776591 [details]
File: proc_pid_status
Comment 10 Doug Huffman 2013-07-21 19:15:45 EDT
Created attachment 776592 [details]
File: var_log_messages
Comment 11 Doug Huffman 2013-07-22 07:42:01 EDT
Preparing to analyze at http://netalyzr.icsi.berkeley.edu/

reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        /usr/lib/firefox/xulrunner/plugin-container /usr/lib/IcedTeaPlugin.so -greomni /usr/lib/firefox/xulrunner/omni.ja -appomni /usr/lib/firefox/browser/omni.ja -appdir /usr/lib/firefox/browser 12141 true plugin
crash_function: pthread_cancel
executable:     /usr/lib/xulrunner/plugin-container
kernel:         3.9.9-302.fc19.i686.PAE
package:        xulrunner-22.0-4.fc19
reason:         Process /usr/lib/xulrunner/plugin-container was killed by signal 11 (SIGSEGV)
runlevel:       N 5
uid:            1000
xsession_errors:
Comment 12 Martin Stransky 2013-07-24 09:40:07 EDT
This is an automated bug update. Please reopen if you can reproduce the bug reliably and remove the [abrt] string from bug summary.

Note You need to log in before you can comment on or make changes to this bug.